osl::eval::ProgressEval Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | List of all members
osl::eval::ProgressEval Class Reference

`#include <progressEval.h>`

Inheritance diagram for osl::eval::ProgressEval:
[legend]
Collaboration diagram for osl::eval::ProgressEval:
[legend]

## Public Member Functions
| ProgressEval (const NumEffectState &state)
| ProgressEval ()
Public Member Functions inherited from osl::eval::ProgressEvalGeneral< progress_eval_opening_t >
| ProgressEvalGeneral (const NumEffectState &state)
void | changeTurn ()
const Progress16 | progress16 () const
const Progress16 | progress16bonus (Player p) const
void | invalidateCache ()
int | value () const
const Progress32 | progress32 () const
int | expect (const NumEffectState &state, Move move) const
Move | suggestMove (const NumEffectState &) const
void | update (const NumEffectState &new_state, Move last_move)
int | calculateAttackBonusEach (const NumEffectState &state) const
int | calculateAttackBonusOne (const NumEffectState &state) const
int | calculateKnightCheck (const NumEffectState &state) const
int | calculateKnightCheckEach (const NumEffectState &state) const
int | calculateEnterKingBonus (const NumEffectState &state) const
int | calculateMiddleKingBonus (const NumEffectState &state) const
int | calculateRookRankBonus (const NumEffectState &state) const
const PieceMask | pins (Player player) const
int | minorPieceValue () const
int | openingValue () const
int | endgameValue () const
ProgressDebugInfo | debugInfo (const NumEffectState &state) const
int | calculatePinBonus (const NumEffectState &state) const
int | calculateMobilityBonus () const
int | calculateAttackRooks (const NumEffectState &state) const
int | calculateAttackBonus (const NumEffectState &state) const
int | calculateSilverPenalty (const NumEffectState &state) const
int | calculateGoldPenalty (const NumEffectState &state) const
int | attackDefenseBonus () const
int | attackBonusScale (int val, Player attack) const
void | debug () const

## Static Public Attributes
static const PtypeEvalTable | Piece_Value = eval::Ptype_Eval_Table
Static Public Attributes inherited from osl::eval::ProgressEvalGeneral< progress_eval_opening_t >
static const int | ROUND_UP
| roundup は 2^n であること More...

## Additional Inherited Members
Public Types inherited from osl::eval::ProgressEvalGeneral< progress_eval_opening_t >
enum |
typedef progress_eval_opening_t | opening_eval_t
typedef endgame::AttackDefense | endgame_eval_t
typedef progress::Effect5x3WithBonus | progress_t
typedef progress::Effect5x3d | defense_t
Static Public Member Functions inherited from osl::eval::ProgressEvalGeneral< progress_eval_opening_t >
static bool | initialized ()
static bool | setUp (const char *filename)
static bool | setUp ()
static int | attackDefenseBonusT16 (Progress16 black, Progress16 white, Progress16 black_defense, Progress16 white_defense)
| 危険度ペナルティの16倍 More...
static int | composeValue (int value_opening, int value_endgame, Progress16 progress16, Progress16 black, Progress16 white, Progress16 black_defense, Progress16 white_defense, int minor_piece_bonus, int progress_independent_bonus, int progress_dependent_bonus)
static void | setValues (const SimpleState &, Progress16 progress16, container::PieceValues &)
static void | setValues (const SimpleState &s, container::PieceValues &o)
static int | infty ()
static int | captureValue (PtypeO ptypeO)
static int | seeScale ()
static int | calculateMobilityBonusRook (const NumEffectState &state)
static int | calculateMobilityBonusBishop (const NumEffectState &state)
static int | calculateMobilityBonusLance (const NumEffectState &state)
static void | resetWeights (const int *weight)

## Detailed Description

Definition at line 269 of file progressEval.h.

## Constructor & Destructor Documentation

osl::eval::ProgressEval::ProgressEval | ( | const NumEffectState & | state) |  |
| inlineexplicit

Definition at line 272 of file progressEval.h.

osl::eval::ProgressEval::ProgressEval | ( | ) |  |
| inline

Definition at line 276 of file progressEval.h.

## Member Data Documentation

const eval::PtypeEvalTable osl::eval::ProgressEval::Piece_Value = eval::Ptype_Eval_Table
| static

Definition at line 280 of file progressEval.h.

The documentation for this class was generated from the following files:

- progressEval.h
- tables.cc